<template>
  <div>
    <NavBar />
    <div class="navsearch_container container-fluid">
      <NuxtLink to="/admin/cooperativas"> Administrar cooperativas </NuxtLink>
      <NuxtLink to="/admin/importar"> Alta de cooperativas por .csv </NuxtLink>
      <NuxtLink to="/admin/estadisticas"> Estadísticas </NuxtLink>
      <NuxtLink to="/" @click="logout">Cerrar sesión</NuxtLink>
    </div>
    <NuxtPage />
  </div>
</template>

<script>
import { mapActions } from 'pinia'
export default {

  methods: {
    ...mapActions('auth', ['logout']),
    async logout() {
      await this.logout()
    },
  },
}
</script>

<style lang="scss" scoped>
.navsearch_container {
  border-bottom: 3px solid $color-grey-nav;
  text-align: center;
  padding: 20px 20px;

  a {
    font-size: $m;
    font-weight: $bold;
    color: $color-navy;
    text-decoration: none;
  }
  a:nth-child(1):after,
  a:nth-child(2):after,
  a:nth-child(3):after {
    color: $color-navy;
    content: '\22EE';
    margin: 0.5rem;
  }
}
</style>
